# norootforbuild

%define _prefix	/usr

%if %suse_version >= 1000
%define has_ruby_devel 1
%endif

Name:           qdbm
Version:        1.8.70
Release:        3.8
Summary:        Quick Database Manager
Source:         http://qdbm.sourceforge.net/qdbm-%{version}.tar.gz
Patch1:         %{name}-javahome.patch
Patch2:         %{name}-makefile-remove-weird-libpath.patch
URL:            http://qdbm.sourceforge.net/
Group:          System/Libraries
License:        LGPL
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  zlib zlib-devel make gcc perl gcc-c++
BuildRequires:  libstdc++ libstdc++-devel ruby
%if %{?has_ruby_devel:1}0
BuildRequires:  ruby-devel
%endif
%if %{?has_java:1}0
BuildRequires:  java-1_5_0-sun java-1_5_0-sun-devel update-alternatives
%define javahome %{_libdir}/jvm/java-1.5.0-sun
%endif
BuildRequires:  autoconf automake libtool

%description
QDBM is a library of routines for managing a database. The database is a
simple data file containing records, each is a pair of a key and a
value. Every key and value is serial bytes with variable length. Both binary
data and character string can be used as a key and a value. There is neither
concept of data tables nor data types. Records are organized in hash table or
B+ tree.

%package devel
Summary:        Development environment for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Development environment for %{name}

%package test
Summary:        Tests for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description test
Tests for %{name}

%package c++
Summary:        C++ bindings for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description c++
C++ bindings for %{name}

%package c++-devel
Summary:        Development environment for C++ bindings for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       %{name}-devel = %{version}

%description c++-devel
Development environment for C++ bindings for %{name}

%package c++-test
Summary:        Tests for C++ bindings for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}-c++ = %{version}

%description c++-test
Tests for C++ bindings for %{name}

%package perl
Summary:        Perl bindings for %{name}
Group:          Development/Libraries/Perl
Requires:       %{name} = %{version}
Requires:       perl

%description perl
Perl bindings for %{name}

%package perl-test
Summary:        Tests for Perl bindings for %{name}
Group:          Development/Libraries/Perl
Requires:       %{name}-perl = %{version}
Requires:       perl

%description perl-test
Tests for Perl bindings for %{name}

%package ruby
Summary:        Ruby bindings for %{name}
Group:          Development/Libraries/Ruby
Requires:       %{name} = %{version}
Requires:       ruby

%description ruby
Ruby bindings for %{name}

%package ruby-test
Summary:        Tests for Ruby bindings for %{name}
Group:          Development/Libraries/Ruby
Requires:       %{name}-ruby = %{version}
Requires:       ruby

%description ruby-test
Tests for Ruby bindings for %{name}

%if %{?has_java:1}0
%package java
Summary:        Java bindings for %{name}
Group:          Development/Libraries/Java
Requires:       %{name} = %{version}
Requires:       java

%description java
Java bindings for %{name}
%endif # has_java

%if %suse_version >= 930
%debug_package
%endif
%prep
%setup -q
%patch1
%patch2

%build
autoreconf -fiv

%__grep -l -r /usr/local . | sort | uniq \
| while read docfile; do
	%__sed -i.orig -e 's|/usr/local|/usr|g' "$docfile"
done

%__grep -l -r /usr/lib . | sort | uniq \
| while read file; do
	%__sed -i.orig -e 's|/usr/lib|%{_libdir}|g' "$file"
done

%configure --enable-zlib --enable-iconv
pushd plus
%configure 
popd
pushd perl
%configure
popd
pushd ruby
%configure
popd
%if %{?has_java:1}0
pushd java
export JAVA_HOME="%{javahome}"
export MYJAVAHOME="%{javahome}"
%configure
popd
%endif

%__make RELCFLAGS="%{optflags} -DNDEBUG"
%__make -C plus RELCFLAGS="%{optflags} -DNDEBUG"
%__make -C perl RELCFLAGS="%{optflags} -DNDEBUG"
%__make -C ruby RELCFLAGS="%{optflags} -DNDEBUG"
%if %{?has_java:1}0
unset JAVA_HOME
export JAVA_HOME="%{javahome}"
%{__make} -C java \
	RELCFLAGS="%{optflags} -DNDEBUG" \
	MYJAVAHOME="%{javahome}" \
	JAVAC="%{javahome}/bin/javac" \
	JAR="%{javahome}/bin/jar" \
	JAVAH="%{javahome}/bin/javah" \
	JAVADOC="%{javahome}/bin/javadoc" \
	JAVARUN="%{javahome}/bin/java"
%endif # has_java

%install
%makeinstall
pushd plus ; %makeinstall ; popd
pushd perl ; %makeinstall ; popd
find "%{buildroot}/" -type f -name "perllocal.pod" | xargs %__rm
pushd ruby ; %makeinstall ; popd
%if %{?has_java:1}0
pushd java
%makeinstall
%__install -d "%{buildroot}%{_javadir}"
%__mv "%{buildroot}%{_libdir}/qdbm.jar" "%{buildroot}%{_javadir}/"
popd
%endif # has_java

%if %suse_version < 930
%__strip "%{buildroot}%{_bindir}"/* \
	"%{buildroot}%{_libdir}"/*{.so.*,a} \
	"%{buildroot}%{_libdir}/ruby/site_ruby"/*/*/*.so \
	|| :
%endif

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS *.html THANKS
%doc misc/COPYING.txt misc/*.png misc/*.pdf misc/*.html
%{_bindir}/cbcodec
%{_bindir}/crmgr
%{_bindir}/crtsv
%{_bindir}/dpmgr
%{_bindir}/dptsv
%{_bindir}/hvmgr
%{_bindir}/hvtest
%{_bindir}/odidx
%{_bindir}/odmgr
%{_bindir}/rlmgr
%{_bindir}/rltest
%{_bindir}/vlmgr
%{_bindir}/vltsv
%{_libdir}/libqdbm.so.*
%doc %{_mandir}/man1/cbcodec.1*
%doc %{_mandir}/man1/cbtest.1*
%doc %{_mandir}/man1/crmgr.1*
%doc %{_mandir}/man1/crtest.1*
%doc %{_mandir}/man1/crtsv.1*
%doc %{_mandir}/man1/dpmgr.1*
%doc %{_mandir}/man1/dptest.1*
%doc %{_mandir}/man1/dptsv.1*
%doc %{_mandir}/man1/hvmgr.1*
%doc %{_mandir}/man1/hvtest.1*
%doc %{_mandir}/man1/odidx.1*
%doc %{_mandir}/man1/odmgr.1*
%doc %{_mandir}/man1/odtest.1*
%doc %{_mandir}/man1/rlmgr.1*
%doc %{_mandir}/man1/rltest.1*
%doc %{_mandir}/man1/vlmgr.1*
%doc %{_mandir}/man1/vltest.1*
%doc %{_mandir}/man1/vltsv.1*
%dir %{_datadir}/qdbm
%{_datadir}/qdbm/ChangeLog
%{_datadir}/qdbm/COPYING
%{_datadir}/qdbm/NEWS
%{_datadir}/qdbm/*.html
%{_datadir}/qdbm/THANKS

%files devel
%defattr(-,root,root)
%{_includedir}/cabin.h
%{_includedir}/curia.h
%{_includedir}/depot.h
%{_includedir}/hovel.h
%{_includedir}/odeum.h
%{_includedir}/relic.h
%{_includedir}/villa.h
%{_includedir}/vista.h
%{_libdir}/libqdbm.a
%{_libdir}/libqdbm.so
%{_libdir}/pkgconfig/qdbm.pc
%doc %{_mandir}/man3/cabin.3*
%doc %{_mandir}/man3/cropen.3*
%doc %{_mandir}/man3/curia.3*
%doc %{_mandir}/man3/depot.3*
%doc %{_mandir}/man3/dpopen.3*
%doc %{_mandir}/man3/hovel.3*
%doc %{_mandir}/man3/odeum.3*
%doc %{_mandir}/man3/odopen.3*
%doc %{_mandir}/man3/qdbm.3*
%doc %{_mandir}/man3/relic.3*
%doc %{_mandir}/man3/villa.3*
%doc %{_mandir}/man3/vista.3*
%doc %{_mandir}/man3/vlopen.3*

%files test
%defattr(-,root,root)
%{_bindir}/cbtest
%{_bindir}/crtest
%{_bindir}/dptest
%{_bindir}/odtest
%{_bindir}/qmttest
%{_bindir}/vltest
%doc %{_mandir}/man1/qmttest.1*

%files c++
%defattr(-,root,root)
%{_libdir}/libxqdbm.so.*
%{_datadir}/qdbm/plus

%files c++-devel
%defattr(-,root,root)
%{_includedir}/xadbm.h
%{_includedir}/xcuria.h
%{_includedir}/xdepot.h
%{_includedir}/xqdbm.h
%{_includedir}/xvilla.h
%{_libdir}/libxqdbm.so
%{_libdir}/libxqdbm.a

%files c++-test
%defattr(-,root,root)
%{_bindir}/xcrtest
%{_bindir}/xdptest
%{_bindir}/xvltest

%files perl
%defattr(-,root,root)
%{perl_sitearch}/Curia.pm
%{perl_sitearch}/Depot.pm
%{perl_sitearch}/Villa.pm
%{perl_sitearch}/auto/Curia
%{perl_sitearch}/auto/Depot
%{perl_sitearch}/auto/Villa
%{_datadir}/qdbm/perl

%files perl-test
%defattr(-,root,root)
%{_bindir}/plcrtest
%{_bindir}/pldptest
%{_bindir}/plvltest

%files ruby
%defattr(-,root,root)
%{_libdir}/ruby/site_ruby/*/curia.rb
%{_libdir}/ruby/site_ruby/*/depot.rb
%{_libdir}/ruby/site_ruby/*/villa.rb
%{_libdir}/ruby/site_ruby/*/*/mod_curia.so
%{_libdir}/ruby/site_ruby/*/*/mod_depot.so
%{_libdir}/ruby/site_ruby/*/*/mod_villa.so
%{_datadir}/qdbm/ruby

%files ruby-test
%defattr(-,root,root)
%{_bindir}/rbcrtest
%{_bindir}/rbdptest
%{_bindir}/rbvltest

%if %has_java
%files java
%defattr(-,root,root)
%{_libdir}/libjqdbm.so.*
%{_libdir}/libjqdbm.so
%{_javadir}/qdbm.jar
%{_datadir}/qdbm/java
%endif # has_java

%changelog
* Tue Aug 29 2006 Pascal Bleser <guru@unixtech.be> 1.8.70
- build java subpackage on 10.0

* Mon Aug 28 2006 Pascal Bleser <guru@unixtech.be> 1.8.70
- only build java bindings for 9.3 and 10.1 at the moment

* Tue Aug 22 2006 Pascal Bleser <guru@unixtech.be> 1.8.70
- build without java bindings on factory for now
- first submission to Build Service

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
